package com.example.viewpager;

import java.util.ArrayList;
import java.util.List;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentActivity;
import android.support.v4.view.ViewPager;
import android.view.Menu;
import android.view.MenuItem;

public class MainActivity extends FragmentActivity {
	
	ViewPager vp;

	private List<Fragment> getFragments(){
		
		List<Fragment> list = new ArrayList<Fragment>();
		list.add(ModelFragment.newInstance("Resim1", R.drawable.ic_launcher));
		list.add(ModelFragment.newInstance("Resim2", R.drawable.ic_launcher));
		list.add(ModelFragment.newInstance("Resim3", R.drawable.ic_launcher));
		return list;
	}
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		
		vp = (ViewPager)findViewById(R.id.vp_biodata);
		ControllerFragment cf = new ControllerFragment(getSupportFragmentManager(), getFragments());
		vp.setAdapter(cf);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
