package com.example.viewpager;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

public class ModelFragment extends Fragment{

	public static final String _text = "text";
	public static final String _image = "image";
	
	public static final ModelFragment newInstance(String text, int image){
		
		ModelFragment mf = new ModelFragment();
		Bundle bundle = new Bundle();
		bundle.putString(_text, text);
		bundle.putInt(_image, image);
		mf.setArguments(bundle);
		return mf;
		
	}
	
	
	public View onCreateView(LayoutInflater inflater, ViewGroup group, Bundle bundle){
		
		View view = inflater.inflate(R.layout.custom_fragment, group, false);
		String text = getArguments().getString(_text);
		int image = getArguments().getInt(_image);
		TextView tv_text = (TextView) view.findViewById(R.id.tv_txt);
		ImageView tv_image = (ImageView) view.findViewById(R.id.tv_image);
		tv_text.setText(text);
		tv_image.setImageResource(image);
		return view;
		
		
		
	}
	
}
